
@import 'cxdl-basic';
@import 'cxdl-layout';
@import 'cxdl-shadow';
@import 'cxdl-typography';
@import 'cxdl-icons';
@import 'colors';

.bg-cx-main {
	background-color: $cx-main;
}

.bg-cx-light-secondary {
	background-color: $cx-light-secondary;
}

.bg-cx-dark-secondary {
	background-color: $cx-dark-secondary;
}

.bg-cx-tertiary {
	background-color: $cx-tertiary;
}

.bg-cx-accent {
	background-color: $cx-accent;
}

.bg-very-light-gray {
	background-color: $very-light-gray;
}

.bg-light-gray {
	background-color: $light-gray;
}

.bg-medium-gray {
	background-color: $medium-gray;
}

.bg-dark-gray {
	background-color: $dark-gray;
}

.bg-very-dark-gray {
	background-color: $very-dark-gray;
}

.errorlist {
	display: none;
}

body {
	@extend .cxdl-font-family;
	@extend .font-1;
	background-color: $medium-gray;
}

a {
	color: inherit;
}
a:link, a:visited { 
    color: inherit;
    text-decoration: none;
    cursor: auto;
}

a:link:active, a:visited:active { 
    color: inherit;
    text-decoration: none;
}

.card {
	background-color: white;
	@extend .shadow-8;
}

.card-header {
	@extend .clear-float;
	@extend .font-2;
	font-weight: 400;
	padding: 0.9rem;
}

.card-content {
	@extend .clear-float;
}

.card-actions {
	@extend .clear-float;
	border-top: 1px solid $light-gray;
}

.card.solo-card {
	min-width: 300px;
	max-width: 800px;
}

.toolbar {
	@extend .flex-0;
	padding: 0;
	width:100%;
	background-color: $cx-main;
	color: white;
	z-index: 900;
}

.truncate-text {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.hide-small {}

.toolbar-item {
	color: white;
}

.toolbar-title {
	margin: 0.5rem 0 0.5rem 0;
	@extend .toolbar-item;
	@extend .font-1-5;
	@extend .truncate-text;
}

.footer {
	@extend .flex-0;
	width:100%;
	background-color: $cx-main;
	color: white;
}

.app-container {
	@extend .flex-1;
	@extend .scroll;
	padding: 0;
}

.app-content {
	width: 100%;
}

.navbar {
	@extend .fullbleed;
	position: fixed;
    top: 0;
	z-index: 1000;
	background-color: white;
}

label {
	@extend .clear-float;
	display: block;	
	@extend .font-sm;
	color: $medium-gray;
	line-height: 1rem;
}

input {
	@extend .clear-float;
	@extend .font-1;
	border: 0;
	margin-top: 0.25rem;
	outline: 0;
	border-bottom: 1px solid black;
	background: transparent;
}

input[disabled] {
	color: $disabled-color;
	border-bottom: 1px solid $disabled-color;
}

.input-error {
	color: red;
}

input[type=checkbox] {
	display: none;
}

$checkbox-size: 1rem;

.checkbox-aura {
	@extend .lh;
	@extend .center;
	cursor: pointer;
}

.checkbox {
	@extend .icon;
	font-size: 0.75rem;
	text-align: center;
	border: 2px solid black;
	background: transparent;
	height: $checkbox-size;
	max-height: $checkbox-size;
	min-height: $checkbox-size;
	width: $checkbox-size;
	max-width: $checkbox-size;
	min-width: $checkbox-size;
	cursor: pointer;
}

.checkbox[disabled]{
	border: 2px solid $disabled-color;
}

.checkbox.checked {
	border: 2px solid $cx-main;
	color: white;
	background-color: $cx-main;
}

.checkbox.checked[disabled] {
	border: 2px solid $disabled-color;
	color: white;
	background-color: $disabled-color;
}

.checkbox.checked::before {
	@extend .icon.check::before;
	content: "\e5ca";
}

.checkbox-label {
	display: inline-block;
	margin-left: 0.35rem;
	cursor: pointer;
}

.dropdown {
	margin-top: 0.2rem;
	border: 0;
	padding: 0;
	border-bottom: 1px solid black;
}

.dropdown[disabled] {
	border-bottom: 1px solid $disabled-color;
}

select {
	width: 100%;
	background: transparent;
	border: 0;
	outline: none;
	@extend .font-1;
	cursor: pointer;
}

select[disabled] {
	color: $disabled-color;
}

button {
	border: 0;
    padding: 0.5rem;
    background: transparent;
    outline: 0;
    cursor: pointer;
    margin: 0.3rem;
    @extend .font-1;
    @extend .shadow-4;
}

button:active {
	@extend .shadow-2;
}

.icon-btn {
	@extend .lh;
	@extend .center;
	padding: 0.5rem;
	margin: 0;
}

.icon-btn:active {
	@extend .no-shadow;
}

.badge {
    border-radius: 0.5rem;
    background-color: $cx-accent;
    color: white;
    @extend .cxdl-font-family;
    font-size: 0.75rem;
    line-height: 1rem;
    text-align: center;
    display: inline-block;
    padding: 0 0.3rem 0 0.3rem;
    position: absolute;
    top: -0.5rem;
    right: -0.7rem;
}

.badge-host {
	position: relative;
}

.dialog {
	z-index: 999;
	display: none;
	@extend .shadow-4;
	background-color: white;
	color: black;
	position: fixed;
}

.list-item {
	float: none;
	border-top: 1px solid $light-gray;
}

.sub-list-item {
	@extend .list-item;
	padding-left: 1em;
}

.toast {
	@extend .shadow-6;
	position: absolute;
	background-color: white;
	z-index: 900;
	margin: 1rem;
}

.collapse-toggle {
	cursor: pointer;
}

.collapse-toggle:active {
	background-color: $light-gray;
}

.collapse {
	padding: 0;
}

.collapse-content {
	float: none;
}

.tab-bar {
	@extend .lh;
	cursor: pointer;
	padding: 0;
}

.tab {
	@extend .font-heavy;
	@extend .flex-1;
	background-color: $light-gray;
	padding: 1rem;
}

.tab.active {
	background-color: white;
}